<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f6f8f9">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/toolbar_include"
        android:layout_marginLeft="14dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="14dp"
        android:background="@drawable/bg_white_10dp">

        <TextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_58"
            android:layout_marginLeft="12dp"
            android:paddingTop="@dimen/dp_20"
            android:text="收货人"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_16"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <EditText
            android:id="@+id/et_name"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_58"
            android:layout_marginLeft="96dp"
            android:layout_marginRight="14dp"
            android:background="@null"
            android:gravity="left"
            android:hint="请输入姓名"
            android:inputType="text"
            android:paddingTop="@dimen/dp_20"
            android:textColor="@color/color_1a1a1a"
            android:textColorHint="@color/color_999999"
            android:textSize="@dimen/sp_16"
            app:layout_constraintBottom_toBottomOf="@+id/tv_name"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="@+id/tv_name" />


        <View
            android:id="@+id/view_line1"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="11dp"
            android:layout_marginRight="9dp"
            android:background="@color/color_f2f2f2"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_name" />


        <TextView
            android:id="@+id/tv_phone"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_50"
            android:layout_marginLeft="12dp"
            android:paddingTop="12dp"
            android:text="联系电话"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_16"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_line1" />

        <EditText
            android:id="@+id/et_phone"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_50"
            android:layout_marginLeft="96dp"
            android:layout_marginRight="14dp"
            android:background="@null"
            android:gravity="left"
            android:hint="收件人电话号码"
            android:inputType="phone"
            android:paddingTop="12dp"
            android:maxLength="11"
            android:textColor="@color/color_1a1a1a"
            android:textColorHint="@color/color_999999"
            android:textSize="@dimen/sp_16"
            app:layout_constraintBottom_toBottomOf="@+id/tv_phone"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="@+id/tv_phone" />


        <View
            android:id="@+id/view_line2"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="11dp"
            android:layout_marginRight="9dp"
            android:background="@color/color_f2f2f2"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_phone" />


        <TextView
            android:id="@+id/tv_district"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_50"
            android:layout_marginLeft="12dp"
            android:paddingTop="12dp"
            android:text="所在地区"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_16"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_line2" />

        <TextView
            android:id="@+id/tv_district_detail"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_50"
            android:layout_marginLeft="96dp"
            android:paddingTop="12dp"
            android:text="请选择"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_16"
            app:layout_constraintBottom_toBottomOf="@+id/tv_district"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="@+id/tv_district" />

        <ImageView
            android:layout_width="12dp"
            android:layout_height="7dp"
            android:layout_marginLeft="5dp"
            android:background="@drawable/icon_go_down"
            app:layout_constraintBottom_toBottomOf="@+id/tv_district_detail"
            app:layout_constraintLeft_toRightOf="@+id/tv_district_detail"
            app:layout_constraintTop_toTopOf="@+id/tv_district_detail" />

        <View
            android:id="@+id/view_line3"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="11dp"
            android:layout_marginRight="9dp"
            android:background="@color/color_f2f2f2"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_district" />

        <TextView
            android:id="@+id/tv_detail_address"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_98"
            android:layout_marginLeft="12dp"
            android:paddingTop="12dp"
            android:text="详细地址"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_16"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_line3" />


        <EditText
            android:id="@+id/et_detail_address"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_98"
            android:layout_marginLeft="96dp"
            android:layout_marginRight="14dp"
            android:background="@null"
            android:gravity="left"
            android:hint="请输入"
            android:inputType="text"
            android:paddingTop="12dp"
            android:textColor="@color/color_1a1a1a"
            android:textColorHint="@color/color_999999"
            android:textSize="@dimen/sp_16"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_line3" />


    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_set"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/cl_info"
        android:layout_marginLeft="14dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="14dp"
        android:background="@drawable/bg_white_10dp">

        <TextView
            android:id="@+id/tv_default_set"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_52"
            android:layout_marginLeft="12dp"
            android:gravity="center"
            android:text="设置为默认地址"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_16"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/im_set_default"
            android:layout_width="@dimen/dp_47"
            android:layout_height="@dimen/dp_44"
            android:layout_marginRight="14dp"
            android:paddingTop="10dp"
            android:paddingBottom="10dp"
            android:src="@drawable/icon_switch_open"
            app:layout_constraintBottom_toBottomOf="@+id/tv_default_set"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/tv_default_set" />
    </androidx.constraintlayout.widget.ConstraintLayout>


    <TextView
        android:id="@+id/tv_save"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_alignParentBottom="true"
        android:layout_gravity="bottom"
        android:layout_marginLeft="28dp"
        android:layout_marginTop="20dp"
        android:layout_marginRight="28dp"
        android:layout_marginBottom="36dp"
        android:background="@drawable/sure_btn_bg"
        android:gravity="center"
        android:text="保存收货地址"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_14" />

</RelativeLayout>